Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class ContentManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  ContentManagerImpl, CoreContentManager

    public interface class ContentManager

extends java.rmi.Remote

Interface for content related operations such as storage, media, quota, etc.

Method Summary
`void` | `calculateConsumedQuota(long id)` Initiate the calculation of consumed quota
`Item` | `getDefaultMedia(AttributeRequest[] attributes)` Return the default media defined in the system.
`java.lang.String` | `getDefaultStorageGroup()` Return the default storage group name.
`Item` | `getMediaByName(java.lang.String name, AttributeRequest[] attributes)` Get media by name.
`Item[]` | `listMedias(AttributeRequest[] attributes)` List all media items defined in the system.
`java.lang.String[]` | `listStorageGroups()` List all storage group names defined in the system.
`Item` | `requestQuotaUpdate(long id, NamedValue[] wfParams, NamedValue[] attrs, AttributeRequest[] attributes)` Request an update to the existing quota on a workspace for non-admin user.
`void` | `updateQuota(long id, NamedValue[] attrs)` Updates an existing quota.

Method Detail

### listMedias

    Item[] listMedias(AttributeRequest[] attributes)
                      throws FdkException

  Description copied from interface: `ContentManager`
  List all media items defined in the system.

  Parameters:
    `attributes` - Requested attributes of the medias.
  Returns:
    All media items defined in the system. The items have an `ItemTypes.MEDIA` type.
  Throws:
    `FdkException` - if the opertaion fails.

### getDefaultMedia

    Item getDefaultMedia(AttributeRequest[] attributes)
                         throws FdkException

  Description copied from interface: `ContentManager`
  Return the default media defined in the system.

  Parameters:
    `attributes` - Requested attributes of the media.
  Returns:
    The default media. The item type is `ItemTypes.MEDIA`.
  Throws:
    `FdkException` - if the opertaion fails.

### getMediaByName

    Item getMediaByName(java.lang.String name,
                        AttributeRequest[] attributes)
                        throws FdkException

  Description copied from interface: `ContentManager`
  Get media by name.

  Parameters:
    `name` - The name of the media to retrieve.
    `attributes` - Requested attributes of the media.
  Returns:
    The media. The item type is `ItemTypes.MEDIA`.
  Throws:
    `FdkException` - if the opertaion fails.

### listStorageGroups

    java.lang.String[] listStorageGroups()
                                         throws FdkException

  Description copied from interface: `ContentManager`
  List all storage group names defined in the system.

  Returns:
    All storage group names.
  Throws:
    `FdkException` - if the operation fails.

### getDefaultStorageGroup

    java.lang.String getDefaultStorageGroup()
                                            throws FdkException

  Description copied from interface: `ContentManager`
  Return the default storage group name.

  Returns:
    The default storage group name. It can be `null` if a default is not defined.
  Throws:
    `FdkException` - if the operation fails.

### updateQuota

    void updateQuota(long id,
                     NamedValue[] attrs)
                     throws FdkException

  Description copied from interface: `ContentManager`
  Updates an existing quota. The user must have quota administration access.

  Parameters:
    `id` - The id of the target to set the quota for; must be the id of a Workspace or Domain.
    `attrs` - The attributes to set . must include one or more of the following Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.QUOTA_ALLOCATED, Long}
    - {Options.QUOTA_INCREMENT, Long}
    - {Attributes.DEFAULT_QUOTA_ALLOCATION, Long}
  Throws:
    `FdkException` - if the operation fails.

### requestQuotaUpdate

    Item requestQuotaUpdate(long id,
                            NamedValue[] wfParams,
                            NamedValue[] attrs,
                            AttributeRequest[] attributes)
                            throws FdkException

  Description copied from interface: `ContentManager`
  Request an update to the existing quota on a workspace for non-admin user.

  Parameters:
    `id` - The id of the workspace to set the quota for.
    `wfParams` - The parameters (name/value) needed to start workflow.
    `attrs` - The attributes to set . must include following Attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.QUOTA_ALLOCATED, Long}
    - {Options.QUOTA_INCREMENT, Long}
    `attributes` - The requested attributes
  Returns:
    a request if the operation was workflow enabled; otherwise null.
  Throws:
    `FdkException` - if the operation fails.

### calculateConsumedQuota

    void calculateConsumedQuota(long id)
                                throws FdkException

  Description copied from interface: `ContentManager`
  Initiate the calculation of consumed quota

  Parameters:
    `id` - The id of the target to calculate the quota for; must be the id of a Workspace or Domain.
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD